[Документация Yandex Cloud](../../../index.md) > [Yandex BareMetal](../../index.md) > Концепции > Настройка и управление > Справочник API > API v2 > [REST (англ.)](../index.md) > [Image](index.md) > ResolveImages

# BareMetal API, REST: Image.ResolveImages

Resolves the latest published Image for each available family within the specified folder.
Returns one Image per family - the most recently published one.

https://google.aip.dev/130 --)

https://google.aip.dev/130 --)

https://google.aip.dev/130 --)

## HTTP request

```
GET https://baremetal.api.yandexcloud.kz/baremetal/v2/folders/{folderId}/images:resolveImages
```

## Path parameters

#|
||Field | Description ||
|| folderId | **string**

Required field. ID of the parent folder. "baremetal-standard-images" folder contains general images and used by default

To get the folder ID, use a [yandex.cloud.resourcemanager.v1.FolderService.List](../../../resource-manager/api-ref/Folder/list.md#List) request. ||
|#

## Query parameters {#yandex.cloud.baremetal.v2.ResolveImagesRequest}

#|
||Field | Description ||
|| pageSize | **string** (int64)

The maximum number of results per page to return. If the number of available
results is greater than `page_size`,
the service returns a [ResolveImagesResponse.nextPageToken](#yandex.cloud.baremetal.v2.ResolveImagesResponse)
that can be used to get the next page of results in subsequent resolve requests.
Default value is 20.

The maximum value is 1000. ||
|| pageToken | **string**

Page token. To get the next page of results, set `page_token` to the
[ResolveImagesResponse.nextPageToken](#yandex.cloud.baremetal.v2.ResolveImagesResponse) returned by a previous resolve request. ||
|| orderBy | **string**

Sorting order for the listing. Follows the [AIP-132](https://google.aip.dev/132) `order_by` format:
```"field [asc|desc]"```, e.g. `"family desc"`.

Supported fields: `family`, `imageId`, `createTime`.
Default order: `family asc`. ||
|#

## Response {#yandex.cloud.baremetal.v2.ResolveImagesResponse}

**HTTP Code: 200 - OK**

```json
{
  "images": [
    {
      "imageId": "string",
      "folderId": "string",
      "name": "string",
      "family": "string",
      "state": "string",
      "publishTime": "string",
      "cloudId": "string"
    }
  ],
  "nextPageToken": "string"
}
```

#|
||Field | Description ||
|| images[] | **[Image](#yandex.cloud.baremetal.v2.Image)**

List of resolved Image resources - one per family, the most recently published. ||
|| nextPageToken | **string**

Token for getting the next page of the list. If the number of results is greater than
[ResolveImagesRequest.pageSize](#yandex.cloud.baremetal.v2.ResolveImagesRequest), use `next_page_token` as the value
for the [ResolveImagesRequest.pageToken](#yandex.cloud.baremetal.v2.ResolveImagesRequest) parameter in the next resolve request.
Each subsequent page will have its own `next_page_token` to continue paging through the results. ||
|#

## Image {#yandex.cloud.baremetal.v2.Image}

An Image resource.

#|
||Field | Description ||
|| imageId | **string**

ID of the image. ||
|| folderId | **string**

ID of the folder that the image belongs to. ||
|| name | **string**

Name of the image ||
|| family | **string**

Family of the image ||
|| state | **enum** (Status)

State of the image.

- `PUBLISHED`: Image is published and available to users.
- `DISABLED`: Image is disabled for new installations but preserved for existing servers. ||
|| publishTime | **string** (date-time)

Timestamp when the image was published.

String in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. The range of possible values is from
`0001-01-01T00:00:00Z` to `9999-12-31T23:59:59.999999999Z`, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
[Protocol Buffers reference](https://developers.google.com/protocol-buffers/docs/reference/overview).
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits). ||
|| cloudId | **string**

ID of the cloud that the image belongs to. ||
|#